#
# spec file for package akonadi-contact
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           akonadi-contact
Version:        16.08.2
Release:        2.2
%define kf5_version 5.23.0
Summary:        KDE PIM Libraries for Akonadi Contacts
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         akonadi-contacts-%{version}.tar.xz
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRequires:  akonadi-mime-devel
BuildRequires:  akonadi-server-devel >= 16.08.1
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  grantlee5-devel
BuildRequires:  kcalcore-devel
BuildRequires:  kcodecs-devel >= %{kf5_version}
BuildRequires:  kcompletion-devel >= %{kf5_version}
BuildRequires:  kcontacts-devel
BuildRequires:  kf5-filesystem
BuildRequires:  kio-devel >= %{kf5_version}
BuildRequires:  kmime-devel
BuildRequires:  libprison-devel
BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libKF5AkonadiContact5 = %{version}

%description
This package provides a library used for handling personal contacts,
as part of the KDE Personal Information Management (PIM) software.

%package -n libKF5AkonadiContact5
Summary:        Library for personal contact handling
Group:          Libraries/System
Requires:       akonadi-contact >= %{version}
Obsoletes:      akonadi-socialutils
Obsoletes:      akonadi-socialutils-devel

%description -n libKF5AkonadiContact5
This package provides a library used for handling personal contacts,
as part of the KDE Personal Information Management (PIM) software.

%package devel
Summary:        KDE PIM Libraries: Build Environment
Group:          Development/Libraries/KDE
Requires:       akonadi-server-devel
Requires:       kcalcore-devel
Requires:       kcontacts-devel
Requires:       libKF5AkonadiContact5 = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop KDE PIM applications.

%prep
%setup -q -n akonadi-contacts-%{version}

%build
%cmake_kf5 -d build -- -DKF5_INCLUDE_INSTALL_DIR=%_kf5_includedir
%make_jobs

%install
  %kf5_makeinstall -C build

%post -n libKF5AkonadiContact5 -p /sbin/ldconfig

%postun -n libKF5AkonadiContact5 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%dir %{_kf5_plugindir}
%{_kf5_plugindir}/kcm_akonadicontact_actions.so
%{_kf5_servicesdir}/akonadicontact_actions.desktop
%{_kf5_servicetypesdir}/kaddressbookimprotocol.desktop
%{_kf5_datadir}/akonadi/contact/
%dir %{_kf5_servicesdir}/akonadi
%dir %{_kf5_servicesdir}/akonadi/contact
%{_kf5_servicesdir}/akonadi/contact/
%{_datadir}/akonadicontact/

%files -n libKF5AkonadiContact5
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5AkonadiContact.so.*

%files devel
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/cmake/KF5AkonadiContact/
%{_kf5_libdir}/libKF5AkonadiContact.so
%dir %{_kf5_includedir}/Akonadi
%dir %{_kf5_includedir}/akonadi
%{_kf5_includedir}/Akonadi/Contact/
%{_kf5_includedir}/akonadi/contact/
%{_kf5_includedir}/akonadi-contact_version.h
%{_kf5_mkspecsdir}/qt_AkonadiContact.pri

%changelog
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
- https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 jengelh@inai.de
- Update RPM group classifcation. Drop unused macros.
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Tue Aug  9 2016 wbauer@tmo.at
- Cleanup build requirements
- Drop no longer respected QTWEBENGINE_SUPPORT_OPTION from cmake
  (QtWebEngine is mandatory now)
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
